Create a new report

POST https://app.cyrion.ai/api/reports

Create a new security assessment report.

If scan_id is provided, the report will be populated with findings from that scan. The report is owned by the authenticated user.

Request body

  • assessment_type (string): Type of assessment
  • author (string)
  • end_date (string): Assessment end date (ISO format)
  • format (string): Report format
  • project_name (string, required)
  • scan_id (string): Scan to generate report from
  • start_date (string): Assessment start date (ISO format)
  • title (string, required)

Responses

  • 200 Successful Response
  • 422 Validation Error